"""mark4_import workflow

Revision ID: 61cbcd1d83f7
Revises: 91091612b6d0
Create Date: 2023-09-27 09:46:03.860605

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '61cbcd1d83f7'
down_revision = '91091612b6d0'
branch_labels = None
depends_on = None

wf_name = "mk_four_import"

mk_four_import_condor = """executable = mk_four_import.sh
arguments = {{data_src}}

output = import.out
error = import.err
log = condor.log

BIN_PATH = $ENV(HOME)/workflows/$ENV(CAPO_PROFILE)/bin
SBIN_PATH = /lustre/aoc/cluster/pipeline/$ENV(CAPO_PROFILE)/workspaces/sbin
SPOOL_DIR = {{spool_dir}}
should_transfer_files = yes
transfer_input_files = $ENV(HOME)/.ssh/condor_transfer, nraorsync://$(SBIN_PATH)/pycapo, $(BIN_PATH)/mark4_import
+WantIOProxy = True

request_memory = {{ramInGb}}
getenv = True
environment = "CAPO_PATH=/home/casa/capo"

queue

"""

mk_four_import_sh = """#!/bin/sh
set -o errexit

./mark4_import

"""


def upgrade():
    op.execute(
        f"""
        INSERT INTO workflows (workflow_name) VALUES (E'{wf_name}')
        """
    )

    op.execute(
        f"""
        INSERT INTO workflow_templates (filename, content, workflow_name)
        VALUES ('mk_four_import.condor', E'{mk_four_import_condor}', E'{wf_name}')
        """
    )

    op.execute(
        f"""
        INSERT INTO workflow_templates (filename, content, workflow_name)
        VALUES ('mk_four_import.sh', E'{mk_four_import_sh}', E'{wf_name}')
        """
    )


def downgrade():
    op.execute(
        f"""
        DELETE FROM workflow_templates WHERE workflow_name = E'{wf_name}'
        """
    )

    op.execute(
        f"""
        DELETE FROM workflows WHERE workflow_name = E'{wf_name}'
        """
    )
