"""adding delivery url to workflow complete

Revision ID: 9dbe69ba48de
Revises: 6d8031ca676a
Create Date: 2022-12-13 01:57:15.782617

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '9dbe69ba48de'
down_revision = '6d8031ca676a'
branch_labels = None
depends_on = None


old_signature = """
Best regards,"""

new_signature = """{{#delivery_url}}You can download your files directly with wget by running the following from the command line:

wget -r --reject "index.html*" -np -nH --cut-dirs=3 \\
  {{delivery_url}}

{{/delivery_url}}
Best regards,"""


def upgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{old_signature}', E'{new_signature}')
        WHERE name = 'workflow-complete'
    """)

def downgrade():
    op.execute(f"""
        UPDATE notification_templates
        SET template = replace(template, E'{new_signature}', E'{old_signature}')
        WHERE name = 'workflow-complete'
    """)
